openSUSE Security Update : vinagre (vinagre-402)

Medium Nessus Plugin ID 40318


The remote openSUSE host is missing a security update.


A format string problem in vinagre potentially allowed malicious VNC servers to have a vinagre client that connects to the server execute arbitrary code. (CVE-2008-5660)


Update the affected vinagre package.

See Also

Plugin Details

Severity: Medium

ID: 40318

File Name: suse_11_1_vinagre-090108.nasl

Version: $Revision: 1.8 $

Type: local

Agent: unix

Published: 2009/07/21

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:vinagre, cpe:/o:novell:opensuse:11.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/01/08

Reference Information

CVE: CVE-2008-5660

CWE: 134